<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package IT News Grid
 */

get_header(NULL, array('header' => 'simple') );
?>

	<?php
	if ( itpg_sidebar_align( 'archive' ) == 'left' ) {
		do_action('itpg_sidebar', 'archive');
	}
	?>

	<main id="primary" class="site-main">

		<?php if ( have_posts() ) :  
				
			if ( get_theme_mod('itpg_archive_layout', 'classic') == 'metro' ) {
				echo '<div class="metro-wrapper">';
			} 
			
			$count = 1;
			
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				do_action( 'itpg_layout', get_theme_mod( 'itpg_archive_layout', 'classic' ), $count );

				$count++;
				
			endwhile;
			
			if ( get_theme_mod('itpg_archive_layout', 'classic') == 'metro' ) {
				echo '</div>';
			} 

			the_posts_pagination( apply_filters( 'itpg_posts_pagination_args', array(
				'class'	=>	'itpg-pagination',
				'prev_text'	=> '<i class="fa fa-angle-left"></i>',
				'next_text'	=> '<i class="fa fa-angle-right"></i>'
			) ) );

		else :

			do_action( 'itpg_layout', get_theme_mod('itpg_archive_layout', 'classic') );

		endif;
		?>

	</main><!-- #main -->
	
	<?php
	if ( itpg_sidebar_align( 'archive' ) == 'right' ) {
		do_action('itpg_sidebar', 'archive');
	}
	?>

<?php
get_footer();
