/**
 *	jQuery for Customizer Controls
 */

(function() {

	var sidebarControls = ['blog', 'single', 'search', 'archive'];

    jQuery.each( sidebarControls, function( index, value ) {
        wp.customize('itpg_' + value + '_sidebar_enable', function( setting ) {
	        var setupControl = function( control ) {

	            var setActiveState = function() {
	                control.active.set( setting.get() );
	            };
	            setActiveState();
	            setting.bind( setActiveState );
            };
            wp.customize.control( 'itpg_' + value + '_sidebar_layout', setupControl );
        });
    });

    wp.customize('itpg_header_style', function( setting ) {

	    var setupControl = function( control ) {

            var isSlider = function() {
                console.log( control.id )
                if ( control.id == 'itpg_header_slider_count' ||
                     control.id == 'itpg_header_slider_cat' ||
                     control.id == 'itpg_header_post_title_enable' ||
                     control.id == 'itpg_top_bar_overlay_opacity'
                ) {
                    return true
                } else {
                    return false
                }
             }

             var isImage = function() {
                 if ( control.id == 'itpg_scroll_down_enable' ||
                      control.id == 'itpg_scroll_down_text' ||
                      control.id == 'itpg_top_bar_overlay_opacity'
                 ) {
                     return true
                 } else {
                     return false
                 }
             }

            var setActiveState = function() {


                    if ( setting.get() == 'slider' ) {
                        control.active.set( isSlider() );
                    }

                    if ( setting.get() == 'image' ) {
                        control.active.set( isImage() );
                    }

                    if ( setting.get() == 'simple' ) {
                        control.active.set( false );
                    }

            };
            setActiveState();
            setting.bind( setActiveState );
        };
        wp.customize.control( 'itpg_header_slider_count', setupControl );
        wp.customize.control( 'itpg_header_slider_cat', setupControl );
        wp.customize.control( 'itpg_header_post_title_enable', setupControl );
        wp.customize.control( 'itpg_scroll_down_text', setupControl );
        wp.customize.control( 'itpg_scroll_down_enable', setupControl );
        wp.customize.control( 'itpg_top_bar_overlay_opacity', setupControl );

    })


    wp.customize('itpg_footer_contact_enable', function( setting ) {

	    var setupControl = function( control ) {

            var setActiveState = function() {
                control.active.set( setting.get() );
            };
            setActiveState();
            setting.bind( setActiveState );
        };
        wp.customize.control( 'itpg_footer_contact_address', setupControl );
        wp.customize.control( 'itpg_footer_contact_phone', setupControl );
        wp.customize.control( 'itpg_footer_contact_mail', setupControl );

    })

    wp.customize('itpg_scroll_down_enable', function( setting ) {

	    var setupControl = function( control ) {

            var setActiveState = function() {
                control.active.set( setting.get() )
            };
            setActiveState();
            setting.bind( setActiveState );
        };
        wp.customize.control( 'itpg_scroll_down_text', setupControl )

    })


	// Slider Control
	wp.customize.bind('ready', function() {
        rangeSlider();
    });

    var rangeSlider = function() {
        var slider = jQuery('.range-slider'),
            range = jQuery('.range-slider__range'),
            value = jQuery('.range-slider__value');

        slider.each(function() {

            value.each(function() {
                var value = jQuery(this).prev().attr('value');
				var suffix = (jQuery(this).prev().attr('suffix')) ? jQuery(this).prev().attr('suffix') : '';
                jQuery(this).html(value + suffix);
            });

            range.on('input', function() {
				var suffix = (jQuery(this).attr('suffix')) ? jQuery(this).attr('suffix') : '';
                jQuery(this).next(value).html(this.value + suffix );
            });
        });
    };
})( jQuery );

wp.customize.sectionConstructor['itpg-button'] = wp.customize.Section.extend( {

	// No events for this type of section.
	attachEvents: () => {},

	// Always make the section active.
	isContextuallyActive: () => {
		return true;
	}
} );
