<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package IT Photographer
 */
do_action('itpg_content_wrapper_end');

do_action('itpg_after_content');

do_action('itpg_footer');
?>

	<footer id="colophon" class="site-footer">
<!-- 		.footer -->
		<div class="container">
			<div class="site-info">
				<?php printf(esc_html__('Theme Designed by %s', 'it-photographer'), '<a href="https://indithemes.com">IndiThemes</a>'); ?>
				<span class="sep"> | </span>
					<?php echo ( get_theme_mod('itpg_footer_text') == '' ) ? ('Copyright &copy; '.date_i18n( esc_html__( 'Y', 'it-photographer' ) ).' ' . esc_html( get_bloginfo('name') ) . esc_html__('. All Rights Reserved.','it-photographer')) : esc_html(get_theme_mod('itpg_footer_text')); ?>
			</div><!-- .site-info -->
		</div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<nav id="menu" class="panel" role="navigation">
	<div id="panel-top-bar">
		<button class="go-to-bottom"></button>
		<button id="close-menu" class="menu-link"><i class="fa fa-chevron-right" aria-hidden="true"></i></button>
	</div>
	
	<div id="itpg-menu-search">
		
		<?php get_search_form() ?>
		
	</div>
	
	<?php wp_nav_menu( apply_filters( 'mobile_nav_args', array( 
							  'menu_id'			=>	'menu-main',
							  'container'		=> 'ul',
	                          'theme_location'	=> 'itpg_sliding',
	                          'walker'        	=> has_nav_menu('itpg_sliding') ? new itpg_Mobile_Menu : ''
	                     ) ) ); ?>
	                     
	<button class="go-to-top"></button>
</nav>

<?php wp_footer(); ?>

</body>
</html>
