<?php
/**
 *  Customizer Section for Footer
 */

 function itpg_customize_register_footer( $wp_customize ) {

    $wp_customize->add_panel(
        'itpg_footer_section', array(
            'title'    => esc_html__('Footer', 'it-photographer'),
            'priority' => 30,
        )
    );
    
    $wp_customize->add_section(
	    'itpg_footer_social', array(
		    'title'		=>	__('Social Icons', 'it-photographer'),
		    'priority'	=>	3,
		    'panel'		=>	'itpg_footer_section'
	    )
    );
    
    $wp_customize->add_section(
	    'itpg_footer_contact', array(
		    'title'		=>	__('Contact Section', 'it-photographer'),
		    'priority'	=>	4,
		    'panel'		=>	'itpg_footer_section'
	    )
    );
    
    $wp_customize->add_setting(
	    'itpg_footer_contact_enable', array(
		    'default'		=>	'',
		    'sanitize_callback'	=>	'itpg_sanitize_checkbox'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg_footer_contact_enable', array(
		    'label'		=>	__('Enable Contact Us Area', 'it-photographer'),
		    'type'		=>	'checkbox',
		    'section'	=>	'itpg_footer_contact',
		    'priority'	=>	1
	    )
    );
    
     $wp_customize->add_setting(
	    'itpg_footer_contact_address', array(
		    'default'		=>	'',
		    'sanitize_callback'	=>	'sanitize_textarea_field'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg_footer_contact_address', array(
		    'label'		=>	__('Address', 'it-photographer'),
		    'type'		=>	'textarea',
		    'section'	=>	'itpg_footer_contact',
		    'priority'	=>	2
	    )
    );
    
     $wp_customize->add_setting(
	    'itpg_footer_contact_phone', array(
		    'default'		=>	'',
		    'sanitize_callback'	=>	'sanitize_text_field'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg_footer_contact_phone', array(
		    'label'		=>	__('Phone', 'it-photographer'),
		    'type'		=>	'text',
		    'section'	=>	'itpg_footer_contact',
		    'priority'	=>	2
	    )
    );
  
    $wp_customize->add_setting(
	    'itpg_footer_contact_mail', array(
		    'default'		=>	'',
		    'sanitize_callback'	=>	'sanitize_email'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg_footer_contact_mail', array(
		    'label'		=>	__('Mail', 'it-photographer'),
		    'type'		=>	'email',
		    'section'	=>	'itpg_footer_contact',
		    'priority'	=>	2
	    )
    );
    
    $sidebar_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_footer_contact_address' ),
        $wp_customize->get_control( 'itpg_footer_contact_phone' ),
        $wp_customize->get_control( 'itpg_footer_contact_mail' )
    ) );
    foreach ( $sidebar_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_footer_contact_enable' );
            return !empty( $setting->value() ) ? true : false;
        };
    }
    
    $wp_customize->add_section(
	    'itpg_footer_settings', array(
		    'title'		=>	__('Footer Settings', 'it-photographer'),
		    'priority'	=>	5,
		    'panel'		=>	'itpg_footer_section'
	    )
    );

    $wp_customize->add_setting(
        'itpg_footer_cols', array(
            'default'  			=> 4,
            'sanitize_callback'	=> 'absint'
        )
    );
     
    $wp_customize->add_control(
	    new itpg_Image_Radio_Control(
		    $wp_customize, 'itpg_footer_cols', array(
			    'label'    =>  esc_html__('Select the Footer Layout', 'it-photographer'),
	            'section'  =>  'itpg_footer_settings',
	            'priority' => 5,
	            'type'	   => 'image-radio',
	            'choices'	=>	array(
		            '1'	=>	array(
			            'name'	=>	esc_html__('1 Column', 'it-photographer'),
			            'image'	=>  esc_url(get_template_directory_uri() . '/assets/images/1-column.png'),
		            ),
		            '2'	=>	array(
			            'name'	=>	esc_html__('2 Columns', 'it-photographer'),
			            'image'	=>  esc_url(get_template_directory_uri() . '/assets/images/2-columns.png'),
		            ),
		            '3'	=>	array(
			            'name'	=>	esc_html__('3 Columns', 'it-photographer'),
			            'image'	=>  esc_url(get_template_directory_uri() . '/assets/images/3-columns.png'),
		            ),
		            '4'	=>	array(
			            'name'	=>	esc_html__('4 Columns', 'it-photographer'),
			            'image'	=> esc_url(get_template_directory_uri() . '/assets/images/4-columns.png'),
		            ),
	            )
	        )
	    )
    );

     $wp_customize->add_setting(
         'itpg_footer_text', array(
             'default'  => '',
             'sanitize_callback'    =>  'sanitize_text_field'
         )
     );

     $wp_customize->add_control(
         'itpg_footer_text', array(
             'label'    =>  esc_html__('Custom Footer Text', 'it-photographer'),
             'description'  =>  esc_html__('Will show Default Text if empty', 'it-photographer'),
             'priority' =>  10,
             'type'     =>  'text',
             'section'  => 'itpg_footer_settings'
         )
     );
 }
 add_action('customize_register', 'itpg_customize_register_footer');