<?php
/**
 * Controls for the Header Section
 */

function itpg_header_customize_register( $wp_customize ) {

	$wp_customize->get_section('title_tagline')->panel	=	'itpg_header';
	$wp_customize->get_section('header_image')->panel	=	'itpg_header';
	//$wp_customize->get_section('widgets-sidebar-header')->panel = 'itpg_header';

	$wp_customize->add_panel(
		'itpg_header', array(
			'title'	=>	esc_html__('Header', 'it-photographer'),
			'priority'	=>	10
		)
	);

	$wp_customize->add_section(
		'itpg_header_options', array(
			'title'		=>	esc_html__('Header Options', 'it-photographer'),
			'panel'		=>	'itpg_header',
			'priority'	=>	80
		)
	);

	$wp_customize->add_setting(
		'itpg_header_style', array(
			'default'			=>	'image',
			'sanitize_callback'	=>	'itpg_sanitize_radio'
		)
	);

	$wp_customize->add_control(
		'itpg_header_style', array(
			'label'		=>	esc_html__('Header Style', 'it-photographer'),
			'description'	=>	esc_html('For the Front Page', 'it-photographer'),
			'type'		=>	'radio',
			'section'	=>	'itpg_header_options',
			'priority'	=>	5,
			'choices'	=>	array(
				'slider'	=>	esc_html__('Slider', 'it-photographer'),
				'image'		=>	esc_html__('Image', 'it-photographer'),
				'simple'	=>	esc_html__('Simple', 'it-photographer')
			)
		)
	);

	$wp_customize->add_setting(
		'itpg_top_bar_overlay_opacity', array(
			'default'	=>	30,
			'sanitize_callback'	=>	'absint',
		)
	);

	$wp_customize->add_control(
		new itpg_Range_Value_Control(
			$wp_customize,
			'itpg_top_bar_overlay_opacity', array(
				'label'		=>	__('Overlay Opacity', 'it-photographer'),
				'type'		=>	'itpg-range-value',
				'section'	=>	'itpg_header_options',
				'settings'	=>	'itpg_top_bar_overlay_opacity',
				'priority'	=>	35,
				'input_attrs'	=>	array(
							'min'	=>	1,
							'max'	=>	100,
							'step'	=>	1,
							'suffix'=>	'%'
				)
			)
		)
	);


	//Header Slider Controls
	$wp_customize->add_setting(
		'itpg_header_slider_count', array(
			'default'			=> 3,
			'sanitize_callback'	=>	'absint'
		)
	);

	$wp_customize->add_control(
		'itpg_header_slider_count', array(
			'label'		=>	__('Number of Posts in the Slider', 'it-photographer'),
			'type'		=>	'number',
			'priority'	=>	45,
			'section'	=>	'itpg_header_options'
		)
	);

	$wp_customize->add_setting(
		'itpg_header_slider_cat', array(
			'default'		=>	0,
			'sanitize_callback'	=>	'absint'
		)
	);

	$wp_customize->add_control(
		new itpg_WP_Customize_Category_Control(
			$wp_customize, 'itpg_header_slider_cat', array(
				'label'		=>	__('Category', 'it-photographer'),
				'description'	=>	__('Category whose posts need to be featured', 'it-photographer'),
				'priority'		=>	50,
				'section'		=>	'itpg_header_options'
			)
		)
	);

	$wp_customize->add_setting(
		'itpg_header_post_title_enable', array(
			'default'	=>	1,
			'sanitize_callback'	=> 'itpg_sanitize_checkbox'
		)
	);

	$wp_customize->add_control(
		'itpg_header_post_title_enable', array(
			'label'		=>	__('Enable Post Titles in Slider', 'it-photographer'),
			'type'		=>	'checkbox',
			'section'	=>	'itpg_header_options',
			'priority'	=>	55
		)
	);

	 $wp_customize->add_setting(
	    'itpg_scroll_down_enable', array(
		    'default'	=>	1,
		    'sanitize_callback'	=>	'itpg_sanitize_checkbox'
	    )
    );

    $wp_customize->add_control(
	    'itpg_scroll_down_enable', array(
		    'label'			=>	__('Enable Scroll Down Section in Header', 'it-photographer'),
		    'description'	=>	__('Works in Image Header only', 'it-photographer'),
		    'type'			=>	'checkbox',
		    'section'		=>	'itpg_header_options',
		    'priority'		=>	60
	    )
    );

    $wp_customize->add_setting(
	    'itpg_scroll_down_text', array(
		    'default'	=> __('Know More About Us', 'it-photographer'),
		    'sanitize_callback'	=>	'sanitize_text_field'
	    )
    );

    $wp_customize->add_control(
	    'itpg_scroll_down_text', array(
		    'label'		=>	__('Scroll Down Area Text', 'it-photographer'),
		    'section'		=>	'itpg_header_options',
		    'priority'		=>	65
	    )
    );

	$slider_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_top_bar_overlay_opacity' ),
        $wp_customize->get_control( 'itpg_scroll_down_enable' ),
        $wp_customize->get_control( 'itpg_scroll_down_text' ),
        $wp_customize->get_control( 'itpg_header_slider_count' ),
        $wp_customize->get_control( 'itpg_header_slider_cat' ),
        $wp_customize->get_control( 'itpg_header_post_title_enable')
    ) );
    foreach ( $slider_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_header_style' );

            if (  $setting->value() === 'slider' ) {
                if ( $control->id == "itpg_top_bar_overlay_opacity" ||
                     $control->id == "itpg_header_slider_count" ||
                     $control->id == "itpg_header_slider_cat" ||
                     $control->id == "itpg_header_slider_cat" ) {
                         return true;
                     } else {
                         return false;
                 }
             }

             if (  $setting->value() === 'image' ) {
                 if ( $control->id == "itpg_top_bar_overlay_opacity" ||
                      $control->id == "itpg_scroll_down_enable" ||
                      $control->id == "itpg_scroll_down_text" ) {
                          return true;
                  } else {
                      return false;
                  }
              }
        };
    }
}

add_action('customize_register', 'itpg_header_customize_register');
