<?php
/**
 *	Review, Support and Upsell Section
 */
 
function itpg_misc_customize_register( $wp_customize ) {
	
	$wp_customize->add_section(
		'itpg-misc', array(
			'title'		=>	__('THEME LINKS', 'it-photographer'),
			'priority'	=>	2
		)
	);
	
	$wp_customize->add_control(
		new itpg_Custom_Link_Control(
			$wp_customize, 'itpg-docs', array(
				'label'		=>	__('Theme Documentation', 'it-photographer'),
				'description'	=> __('Check out the Theme Documentation to help you guide through the theme', 'it-photographer'),
				'type'		=>	'itpg-link',
				'section'	=>	'itpg-misc',
				'settings'	=>	array(),
				'priority'	=>	4,
				'input_attrs'	=>	array(
						'url'		=>	'https://indithemes.com/wp-content/uploads/2021/07/IT-Photographer-Docs.pdf'
				)
			)
		)
	);
	
	$wp_customize->add_control(
		new itpg_Custom_Link_Control(
			$wp_customize, 'itpg-support', array(
				'label'		=>	__('Mail Us', 'it-photographer'),
				'description'	=> __('If you have any questions, queries, feedback or suggestions for the theme, we would love to hear from you.', 'it-photographer'),
				'type'		=>	'itpg-link',
				'section'	=>	'itpg-misc',
				'settings'	=>	array(),
				'priority'	=>	5,
				'input_attrs'	=>	array(
						'url'		=>	'mailto:support@indithemes.com'
				)
			)
		)
	);
	
	$wp_customize->add_control(
		new itpg_Custom_Link_Control(
			$wp_customize, 'itpg-review', array(
				'label'		=>	__('<span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span>', 'it-photographer'),
				'description'	=> __('If you liked the theme, do leave us a glittering review. We would really appreciate it. Thanks!', 'it-photographer'),
				'type'		=>	'itpg-link',
				'section'	=>	'itpg-misc',
				'settings'	=>	array(),
				'priority'	=>	5,
				'input_attrs'	=>	array(
						'url'		=>	'https://www.wordpress.org'
				)
			)
		)
	);
	
	$wp_customize->add_control(
		new itpg_Custom_Link_Control(
			$wp_customize, 'itpg-more', array(
				'label'		=>	__('More Themes', 'it-photographer'),
				'description'	=> __('Do visit our store at <strong>IndiThemes.com</strong> and check out our other stuff!', 'it-photographer'),
				'type'		=>	'itpg-link',
				'section'	=>	'itpg-misc',
				'settings'	=>	array(),
				'priority'	=>	5,
				'input_attrs'	=>	array(
						'url'		=>	'https://indithemes.com'
				)
			)
		)
	);
}
add_action('customize_register', 'itpg_misc_customize_register');