<?php
function itpg_customize_register_social( $wp_customize ) {
	
	$wp_customize->add_section('itpg_social_footer_section', array(
			'title' 	=> esc_html__( 'Social Icons', 'it-photographer' ),
			'priority' 	=> 3,
			'panel'		=> 'itpg_footer_section'
	));
	
	$wp_customize->add_setting(
		'itpg_social_footer_enable', array(
			'default'	=>	1,
			'sanitize_callback'	=>	'itpg_sanitize_checkbox'
		)
	);
	
	$wp_customize->add_control(
		'itpg_social_footer_enable', array(
			'label'	=>	__('Enable Social Icons', 'it-photographer'),
			'type'	=>	'checkbox',
			'section'	=>	'itpg_social_footer_section',
			'priority'	=>	5
		)
	);

	$social_networks = array( //Redefinied in Sanitization Function.
					'none' 			=> esc_html__('-','it-photographer'),
					'facebook-f' 	=> esc_html__('Facebook', 'it-photographer'),
					'twitter' 		=> esc_html__('Twitter', 'it-photographer'),
					'instagram' 	=> esc_html__('Instagram', 'it-photographer'),
					'rss' 			=> esc_html__('RSS Feeds', 'it-photographer'),
					'pinterest-p' 	=> esc_html__('Pinterest', 'it-photographer'),
					'vimeo' 		=> esc_html__('Vimeo', 'it-photographer'),
					'youtube' 		=> esc_html__('Youtube', 'it-photographer'),
					'flickr' 		=> esc_html__('Flickr', 'it-photographer'),
				);


    $social_count = count($social_networks);

	for ($x = 1 ; $x <= ($social_count - 3) ; $x++) :

		$wp_customize->add_setting(
			'itpg_social_footer_'.$x, array(
				'sanitize_callback' => 'itpg_sanitize_social',
				'default' 			=> 'none',
				'transport'			=> 'postMessage'
			));

		$wp_customize->add_control( 'itpg_social_footer_' . $x, array(
					'settings' 	=> 'itpg_social_footer_'.$x,
					'label' 	=> esc_html__('Icon ','it-photographer') . $x,
					'section' 	=> 'itpg_social_footer_section',
					'type' 		=> 'select',
					'choices' 	=> $social_networks,
		) );

		$wp_customize->add_setting(
			'itpg_social_footer_url'.$x, array(
				'sanitize_callback' => 'esc_url_raw'
			));

		$wp_customize->add_control( 'itpg_social_footer_url' . $x, array(
			'label' 		=> esc_html__('Icon ','it-photographer') . $x . esc_html__(' Url','it-photographer'),
					'settings' 		=> 'itpg_social_footer_url' . $x,
					'section' 		=> 'itpg_social_footer_section',
					'type' 			=> 'url',
					'choices' 		=> $social_networks,
		));

	endfor;
	
}
add_action( 'customize_register', 'itpg_customize_register_social' );


function itpg_sanitize_social( $input ) {
	$social_networks = array(
				'none' ,
				'facebook-f',
				'twitter',
				'instagram',
				'rss',
				'pinterest-p',
				'vimeo',
				'youtube',
				'flickr'
			);
	if ( in_array($input, $social_networks) )
		return $input;
	else
		return '';
}