<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package IT News Grid
 */

get_header(NULL, array('header' => 'simple') );
?>
	<?php
	if ( itpg_sidebar_align( 'search' ) == 'left' ) {
		do_action('itpg_sidebar', 'search');
	}
	?>

	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>
		
			<?php
				
			if ( get_theme_mod('itpg_search_layout', 'classic') == 'metro' ) {
				echo '<div class="metro-wrapper">';
			} 
			
			$count = 1;
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				do_action( 'itpg_layout', get_theme_mod( 'itpg_search_layout', 'classic' ), $count );

				$count++;
			endwhile;
			
			if ( get_theme_mod('itpg_search_layout', 'classic') == 'metro' ) {
				echo '</div>';
			} 

			the_posts_pagination( apply_filters( 'itpg_posts_pagination_args', array(
				'class'	=>	'itpg-pagination',
				'prev_text'	=> '<i class="fa fa-angle-left"></i>',
				'next_text'	=> '<i class="fa fa-angle-right"></i>'
			) ) );
			
		else :

			do_action( 'itpg_layout', get_theme_mod('itpg_search_layout', 'classic') );

		endif;
		?>

	</main><!-- #main -->
	
	<?php
	if ( itpg_sidebar_align( 'search' ) == 'right' ) {
		do_action('itpg_sidebar', 'search');
	}
	?>

<?php
get_footer();
