<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package IT News Grid
 */

get_header(NULL, array('header' => 'simple'));
?>
	<?php
	if ( itpg_sidebar_align( 'single' ) == 'left' ) {
		do_action('itpg_sidebar', 'single');
	}
	?>

	<main id="primary" class="site-main">

		<?php
		while ( have_posts() ) :
			the_post();
			
			get_template_part('template-parts/content', 'single');
			
			if ( get_theme_mod('itpg_single_navigation_enable') !== "" ) :
				
				the_post_navigation(
					apply_filters( 'itpg_single_post_navigation_args', array(
						'prev_text' => __('%title', 'it-photographer'),
						'next_text' => __('%title', 'it-photographer'),
					) ) );
			endif;
			
			if ( get_theme_mod('itpg_single_related_enable', 1) !== "" ) :
				do_action('itpg_related_posts');
			endif;
			
			if (get_theme_mod('itpg_single_author_enable', 1) !== "") :
				itpg_about_author( $post );
			endif;
			
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

	</main><!-- #main -->
	
	<?php
	if ( itpg_sidebar_align( 'single' ) == 'right' ) {
		do_action('itpg_sidebar', 'single');
	}
	?>

<?php
get_footer();
